# -*- encoding: utf-8 -*-
# stub: azure_cognitiveservices_localsearch 0.17.1 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_cognitiveservices_localsearch".freeze
  s.version = "0.17.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby", "source_code_uri" => "https://github.com/Azure/azure-sdk-for-ruby/tree/master/data/azure_cognitiveservices_localsearch" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2024-07-17"
  s.description = "Microsoft Azure Cognitive Services Local Search Client Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/1.0".freeze, "lib/1.0/generated".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/local.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/local_search_client.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/action.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/answer.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/creative_work.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/entities_entity_presentation_info.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/entity_scenario.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/entity_type.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/error.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/error_code.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/error_response.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/error_sub_code.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/geo_coordinates.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/identifiable.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/intangible.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/place.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/places.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/postal_address.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/query_context.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/response.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/response_base.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/response_format.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/safe_search.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/search_action.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/search_response.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/search_results_answer.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/structured_value.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/models/thing.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_localsearch/module_definition.rb".freeze, "lib/azure_cognitiveservices_localsearch.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/localsearch_latest_profile_client.rb".freeze, "lib/profiles/latest/localsearch_module_definition.rb".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/localsearch_profile_module.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.26".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure Cognitive Services Local Search.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
